# Get Protocol Config using userId and ChainId

The "Get Protocol Config" API endpoint provided by Krypcore allows users to retrieve protocol configurations under a given instance based on the provided user ID and Chain ID.

## API Specification

## Get Protocol Config

<mark style="color:green;">`POST`</mark> `https://api.krypcore.com/api/v0/gasless/getProtocolConfig/userIdAndChainId`

Get Protocol Config under the given instance.&#x20;

#### Headers

| Name                                            | Type   | Description            |
| ----------------------------------------------- | ------ | ---------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | User Auth key obtained |

#### Request Body

| Name                                      | Type   | Description                                   |
| ----------------------------------------- | ------ | --------------------------------------------- |
| chainId<mark style="color:red;">\*</mark> | String | Chain ID representing the blockchain protocol |
| dAppId<mark style="color:red;">\*</mark>  | String | Dapp ID associated with the application.      |

{% tabs %}
{% tab title="200: OK SUCCESS" %}

```javascript
{
    "data": null,
    "message": "fetched protocol and gas config details",
    "status": true
}
```

{% endtab %}

{% tab title="401: Unauthorized Failure in authentication" %}

```
{
    "message": "Invalid API key in request"
}
```

{% endtab %}
{% endtabs %}

Take a look at how you might call this method using our official libraries, or via `curl`

{% tabs %}
{% tab title="curl" %}

```bash
curl --location 'https://web3-proxy-dev.krypcore.com/api/v0/gasless/getProtocolConfig/userIdAndChainId' \
--header 'Authorization: 81d4a427-xxxx-xxxx-xxxx-f8482816e872' \
--header 'Content-Type: application/json' \
--data '{"userId":"DEV_GSTE_75_xxxxxxxx","chainId":80001}
'
```

{% endtab %}

{% tab title="Node.js (Fetch)" %}

```javascript
var myHeaders = new Headers();
myHeaders.append("Authorization", "81d4a427-xxxx-xxxx-xxxx-f8482816e872");
myHeaders.append("Content-Type", "application/json");

var raw = JSON.stringify({
  "userId": "DEV_GSTE_75_xxxxxxxx",
  "chainId": 80001
});

var requestOptions = {
  method: 'POST',
  headers: myHeaders,
  body: raw,
  redirect: 'follow'
};

fetch("https://web3-proxy-dev.krypcore.com/api/v0/gasless/getProtocolConfig/userIdAndChainId", requestOptions)
  .then(response => response.text())
  .then(result => console.log(result))
  .catch(error => console.log('error', error));
```

{% endtab %}

{% tab title="Python " %}

```python
import requests
import json

url = "https://web3-proxy-dev.krypcore.com/api/v0/gasless/getProtocolConfig/userIdAndChainId"

payload = json.dumps({
  "userId": "DEV_GSTE_75_xxxxxxxx",
  "chainId": 80001
})
headers = {
  'Authorization': '81d4a427-xxxx-xxxx-xxxx-f8482816e872',
  'Content-Type': 'application/json'
}

response = requests.request("POST", url, headers=headers, data=payload)

print(response.text)

```

{% endtab %}

{% tab title="Golang" %}

```go
package main

import (
  "fmt"
  "strings"
  "net/http"
  "io/ioutil"
)

func main() {

  url := "https://web3-proxy-dev.krypcore.com/api/v0/gasless/getProtocolConfig/userIdAndChainId"
  method := "POST"

  payload := strings.NewReader(`{"userId":"DEV_GSTE_75_xxxxxxxx","chainId":80001}`+"
"+`
`)

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, payload)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("Authorization", "81d4a427-xxxx-xxxx-xxxx-f8482816e872")
  req.Header.Add("Content-Type", "application/json")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := ioutil.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.krypcore.com/dev-docs/api-reference/core-service-apis/gasless-api/get-protocol-config-using-userid-and-chainid.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
